%define major     0
%define libname   %mklibname iptcdata %major
%define develname %mklibname iptcdata -d

Name:           libiptcdata
Summary:        IPTC tag library
Version:        1.0.5
Release:        %mkrel 7
License:        LGPLv2+
Group:          System/Libraries
URL:            https://github.com/ianw/libiptcdata/
Source:         https://github.com/ianw/libiptcdata/releases/download/release_1_0_5/%{name}-%{version}.tar.gz
BuildRequires:  gettext-devel
BuildRequires:  pkgconfig(python3)

%description
libiptcdata is a library for parsing, editing, and saving IPTC data.

%package utils
Summary:        IPTC tag library
Group:          System/Libraries

%description utils
libiptcdata is a library for parsing, editing, and saving IPTC data.

%package i18n
Summary:        Translations of the IPTC tag library
Group:          System/Libraries
BuildArch:      noarch

%description i18n
libiptcdata is a library for parsing, editing, and saving IPTC data.

%package -n %libname
Summary:        IPTC tag library
Group:          System/Libraries
Requires:       %name-i18n >= %version

%description -n %libname
libiptcdata is a library for parsing, editing, and saving IPTC data.

%package -n %develname
Summary:        The files needed for libiptcdata application development
Group:          Development/C
Requires:       %{libname} = %{version}
Provides:       %name-devel = %version-%release
Provides:       iptcdata-devel = %version-%release

%description -n %develname
This package contains the libraries and include files
that you can use to develop libiptcdata applications.

%package -n python3-iptcdata
Summary:        Python 3 bindings for libiptcdata
Group:          Development/Python

Obsoletes:      python-iptcdata < 1.0.4-12
Provides:       python-iptcdata = %version-%release

%description -n python3-iptcdata
python3-iptcdata is a library for parsing, editing, and saving IPTC data.

%prep
%setup -q

%build
export PYTHON_VERSION=%python3_version

%configure --enable-python --disable-static
%make_build

%install
%make_install
%find_lang %name
%find_lang iptc

find %{buildroot} -name '*.la' -delete

%files utils -f iptc.lang
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_bindir}/*

%files i18n -f %name.lang

%files -n %libname
%{_libdir}/lib*.so.%{major}{,.*}

%files -n %develname
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/libiptcdata
%{_datadir}/gtk-doc/html/libiptcdata

%files -n python3-iptcdata
%python3_sitearch/iptcdata.*


%changelog
* Tue Dec 19 2023 papoteur <papoteur> 1.0.5-7.mga10
+ Revision: 2019357
- Mass Rebuild - Python 3.12

* Sat Mar 19 2022 umeabot <umeabot> 1.0.5-6.mga9
+ Revision: 1799329
- Mageia 9 Mass Rebuild

* Tue Mar 01 2022 mrambo3501 <mrambo3501> 1.0.5-5.mga9
+ Revision: 1787149
- rebuild for python-3.10

* Sat Mar 27 2021 daviddavid <daviddavid> 1.0.5-4.mga9
+ Revision: 1710983
- rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 1.0.5-3.mga8
+ Revision: 1533442
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Sep 21 2019 daviddavid <daviddavid> 1.0.5-2.mga8
+ Revision: 1444470
- rebuild for python3.8

* Tue Jul 16 2019 daviddavid <daviddavid> 1.0.5-1.mga8
+ Revision: 1421902
- new version: 1.0.5
- switch to Python3
- new URL and Source URL

* Sun Sep 23 2018 umeabot <umeabot> 1.0.4-11.mga7
+ Revision: 1298926
- Mageia 7 Mass Rebuild

* Sun Jun 03 2018 wally <wally> 1.0.4-10.mga7
+ Revision: 1233860
- fix build on aarch64
+ kekepower <kekepower>
- Use new make macros

* Tue Feb 02 2016 umeabot <umeabot> 1.0.4-9.mga6
+ Revision: 932168
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.4-8.mga5
+ Revision: 750981
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.0.4-7.mga5
+ Revision: 726723
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.0.4-6.mga5
+ Revision: 681540
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0.4-5.mga4
+ Revision: 507071
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.0.4-4.mga3
+ Revision: 357533
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 29 2012 tmb <tmb> 1.0.4-3.mga3
+ Revision: 311497
- bump rel for broken upload

* Mon Oct 29 2012 fwang <fwang> 1.0.4-2.mga3
+ Revision: 311446
- cleanup spec file

* Sun Jan 23 2011 pterjan <pterjan> 1.0.4-2.mga1
+ Revision: 35524
- Drop old stuff
- imported package libiptcdata


* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0.4-2mdv2010.1
+ Revision: 520872
- rebuilt for 2010.1

* Mon Jul 06 2009 Götz Waschk <waschk@mandriva.org> 1.0.4-1mdv2010.0
+ Revision: 392693
- update to new version 1.0.4

* Mon May 04 2009 Götz Waschk <waschk@mandriva.org> 1.0.3-2mdv2010.0
+ Revision: 371556
- fix obsoletes

* Fri Apr 24 2009 Götz Waschk <waschk@mandriva.org> 1.0.3-1mdv2010.0
+ Revision: 368978
- new version
- add -i18n package
- rename devel package

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 1.0.2-4mdv2009.0
+ Revision: 222889
- rebuild
- rebuild
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue May 15 2007 Götz Waschk <waschk@mandriva.org> 1.0.2-1mdv2008.0
+ Revision: 26953
- new version


* Wed Mar 21 2007 Götz Waschk <waschk@mandriva.org> 1.0.1-1mdv2007.1
+ Revision: 147184
- new version
- add python bindings

* Sat Oct 14 2006 Götz Waschk <waschk@mandriva.org> 0.2.1-1mdv2006.0
+ Revision: 64591
- Import libiptcdata

* Sat Oct 14 2006 Götz Waschk <waschk@mandriva.org> 0.2.1-1mdv2007.1
- initial mdv package

* Mon Feb 28 2005 David Moore <dcm@acm.org>
- Initial version

